window.onload = function(){
	var oPlayerHeader = document.querySelector("#playerHeader");
	var oPlayerTitle = document.querySelector("#playerTitle");
	var oPlayerTitleWrap = document.querySelector("#playerTitleWrap");
	var oSpan = oPlayerTitle.querySelector("span");
	var oPlayerLittleArrow = document.querySelector(".player-little-arrow");
	var iMinHeight = 23;
	var iMaxHeight = oPlayerTitle.offsetHeight;
	var iGap = oSpan.offsetLeft;
	var myTap = new Tap(oPlayerHeader);


    function initContentGap(){
        var iHeaderHeight = 80;
        var oImg = document.querySelector(".player-content-wrap img");
        if(!oImg){
            return
        }
        var iWrapHeight = oImg.offsetWidth;
        var iWinHeight = document.documentElement.clientHeight;
        var iMarginGap = (iWinHeight - iHeaderHeight - iWrapHeight)/3;
        iMarginGap = iMarginGap > 0 ? iMarginGap : 0;

        oImg.style.marginTop = parseInt(iMarginGap) + "px";
    }

    initContentGap();

    oPlayerHeader.className = "player-header";

	oPlayerTitle.style.height = iMinHeight + "px";
	oPlayerTitle.style.paddingLeft = iGap + "px";
	oPlayerTitle.style.paddingRight = iGap + "px";

    if(iMaxHeight>23 && oPlayerTitleWrap){
        oPlayerTitleWrap.className = "player-title-wrap";
    }else if(oPlayerTitleWrap){
        oPlayerTitleWrap.className = "player-title-wrap no-more";
    }

	clearTimeout(oPlayerHeader.timer);

    oPlayerHeader.addEventListener("tap", function () {
        var oFirst = oPlayerTitle.firstChild;
        var className = this.className;

        if (className == "player-header") {
            this.className = "player-header show";
            oPlayerTitle.style.paddingLeft = 0;
            oPlayerTitle.style.paddingRight = 0;
            oPlayerLittleArrow.className = "player-little-arrow show";
            oPlayerTitle.style.height = iMaxHeight + "px";
        } else {
            oPlayerHeader.timer = setTimeout(function () {
                oPlayerTitle.style.paddingLeft = iGap + "px";
                oPlayerTitle.style.paddingRight = iGap + "px";
                oPlayerHeader.className = "player-header";
            }, 400);
            oPlayerLittleArrow.className = "player-little-arrow";
            oPlayerTitle.style.height = iMinHeight + "px";
        }

        //zcx add umeng
        onEvent('UnfoldTitle')

        return false;
    }, false)
}

// old function
function getRectForSelectedText(idx) {
    var rect = document.getElementById(idx).getBoundingClientRect();
    return '{{' + rect.left + ',' + rect.top + '}, {' + rect.width + ',' + rect.height + '}}';
}
function getStyleSheet(styleSheetTitle) {
    for (var i = 0; i < document.styleSheets.length; i++) {
        var sheet = document.styleSheets[i];
        if (sheet.title == styleSheetTitle) {
            return sheet;
        }
    }
}
function getStyle(className) {
    var rules = document.styleSheets[0].cssRules;
    for (var i = 0; i < rules.length; i++) {
        if (rules[i].selectorText == className) {
            return rules[i];
        }
    }
}
function setFontLevelForClass(fontLevel) {
    var rules = document.styleSheets[0].cssRules;
    var boxRule = getStyle('div.box');
    if (boxRule != null) {
        if (fontLevel == '0') {
            boxRule.style.setProperty('font-size', '18px', 'important');
        } else if (fontLevel == '1') {
            boxRule.style.setProperty('font-size', '21px', 'important');
        } else if (fontLevel == '2') {
            boxRule.style.setProperty('font-size', '24px', 'important');
        }
    }
    var zhSpanRule = getStyle('span.zh');
    if (zhSpanRule != null) {
        if (fontLevel == '0') {
            zhSpanRule.style.setProperty('font-size', '16px', 'important');
        } else if (fontLevel == '1') {
            zhSpanRule.style.setProperty('font-size', '18px', 'important');
        } else if (fontLevel == '2') {
            zhSpanRule.style.setProperty('font-size', '21px', 'important');
        }
    }
}

function onEvent(tag, label, duration) {
    prompt("event", JSON.stringify({tag:tag,label:label, duration:duration}));
}

function onKVEvent(tag, map, duration) {
    map.id = tag;
    map.duration = duration;
    prompt("ekv", JSON.stringify( map ));
}