var oldSpanId = '';
var selectedSpanId = '';
var windowRate = 0;

function setFontNormal() {
    $('.player-content-wrap').removeClass('big');
    $('.player-content-wrap').removeClass('medium');
}

function setFontMedium() {
    $('.player-content-wrap').addClass('medium');
}

function setFontBig() {
    $('.player-content-wrap').removeClass('medium');
    $('.player-content-wrap').addClass('big');
}

function removeAllClass() {
    $('.sel').removeClass('sel');
    $('.greensel').addClass('green');
    $('.greensel').removeClass('greensel');
}

function getWindowInnerHeight(height) {
    windowRate = window.innerHeight/height;
    window.LangEasy.setRate(true);
}

function touchMoving(x,y,width,height) {
    x = x * (window.innerWidth/width);
	y = y * (window.innerHeight/height);

    var span = document.elementFromPoint(x, y);
    if (span == null) {
        window.LangEasy.nodestroyCache();
        return;
    }
    if (span.tagName != 'span' && span.tagName != 'SPAN') {
        window.LangEasy.nodestroyCache();
        return;
    }
    if (oldSpanId != '' && oldSpanId == span.id){
        window.LangEasy.nodestroyCache();
        return;
    }
    window.LangEasy.destroyCache();
    oldSpanId = span.id;
    $('#' + selectedSpanId).removeClass('sel');
    if ($('#' + selectedSpanId).hasClass('greensel')) {
        $('#' + selectedSpanId).addClass('green');
        $('#' + selectedSpanId).removeClass('greensel');
    }
    if (span.className != 'sel' && span.className != 'zh') {
        if (span.className == 'green') {
            span.className = 'greensel';
        } else if (span.className == 'greensel') {
        } else {
            span.className = 'sel';
        }
        selectedSpanId = span.id;
        window.LangEasy.setSelectedWord(span.id, span.innerHTML);
    }
}

function hasOpenWordWindow(){
    oldSpanId = '';   
}

function readThisSentence(sentenceId) {
    $('.on').removeClass('on');
    $('.repeat').removeClass('repeat');
    $('#' + sentenceId).addClass('on');
    var sentenceHeight = $('#' + sentenceId).height();
    var topOffset = $('#' + sentenceId).position().top;

    sentenceHeight = sentenceHeight/windowRate;
    topOffset = topOffset/windowRate;

    window.LangEasy.scrollFor(sentenceHeight,topOffset);
}

function loopThisSentence(sentenceId) {
    $('.on').removeClass('on');
    $('.repeat').removeClass('repeat');
    $('#' + sentenceId).addClass('repeat');
    var sentenceHeight = $('#' + sentenceId).height();
    var topOffset = $('#' + sentenceId).position().top;

    sentenceHeight = sentenceHeight/windowRate;
    topOffset = topOffset/windowRate;

    window.LangEasy.scrollFor(sentenceHeight,topOffset);
}

function sentenceClick(sentenceId) {
    window.LangEasy.playThisSentence(sentenceId);
}

function scrollTo(sentenceId) {
    var topOffset = $('#' + sentenceId).offset().top;
    topOffset = topOffset/windowRate;
    window.LangEasy.scrollTo(topOffset);
}

function setOnlyEnglish() {
    $('.zhclass').hide();
    oldSpanId = '';
}

function setFixLanguage() {
    $('.zhclass').show();
    oldSpanId = '';
}

function removeGreenByWord(word){
	$(".green").each(function(){
		var w = $(this).html();
		if(word==w){
			$(this).removeClass("green");
		}
	});
}

function init(){
    oldSpanId = '';
    selectedSpanId = '';
    windowRate = 0;
    window.LangEasy.setRate(false);
}



function shareToSina(){
    window.LangEasy.shareToSina();
}

function shareToQzone(){
    window.LangEasy.shareToQzone();
}

function shareToQQ(){
    window.LangEasy.shareToQQ();
}

function shareToWeixin(){
    window.LangEasy.shareToWeixin();
}

function shareToWeixintimeline(){
    window.LangEasy.shareToWeixintimeline();
}